/*
 * File: ruth_aaron.c
 * ------------------
 *
 * This program asks for a number k and then computes the first k
 * Ruth-Aaron pairs.
 *
 * Author: M. I. Karavelas
 * Class:  EM101 / Fall Semester 2008
 * Homework #: 4
 */

#include <stdio.h>
#include "genlib.h"
#include "simpio.h"
#include "IsRuthAaron.h"

main()
{
  int k;
  unsigned int count = 0, n = 1;

  while (TRUE) {
    printf("Enter number of Ruth-Aaron pairs to compute: ");
    k = GetInteger();
    if ( k > 0 ) break;
    printf("Please enter a positive integer!\n");
  }

  printf("\n");
  printf("Here are the first %d Ruth-Aaron pairs:\n\n", k);

  while ( count < k ) {
    if ( IsRuthAaron(n) ) {
      count++;
      printf("%4u: %u and %u\n", count, n, n + 1);
    }
    n++;
  }
  printf("\n");
}
